PETSc version 3.17.4
Fix/Edit manual page

# DMTSCreateRHSMassMatrix

This creates the mass matrix associated with the given DM, and a solver to invert it, and stores them in the DMTS context.

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSCreateRHSMassMatrix(DM dm)

Collective on dm

### Input Parameters

| dm | - DM providing the mass matrix

Note: The idea here is that an explicit system can be given a mass matrix, based on the DM, which is inverted on the RHS at each step.

### See Also

DMTSCreateRHSMassMatrixLumped(), DMTSDestroyRHSMassMatrix(), DMCreateMassMatrix(), DMTS

### Level

developer

### Location

src/ts/utils/dmlocalts.c

### Examples

src/ts/tutorials/ex45.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages